%global xfceversion 4.14

Name:           thunar-archive-plugin
Version:        0.4.0
Release:        1
Summary:        Archive plugin for the Thunar file manager
License:        LGPLv2+
#Group:          Development/Libraries
URL:            http://goodies.xfce.org/projects/thunar-plugins/%{name}
Source0:        http://archive.xfce.org/src/thunar-plugins/%{name}/0.4/%{name}-%{version}.tar.bz2
Patch0:         01_add-support-for-engrampa.patch
Patch1:         02_support-non-multiarch-wrappers.patch  
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
#BuildArch:      noarch
BuildRequires:  gcc-c++
BuildRequires:  exo >= 0.12.0
BuildRequires:  libxfce4util-devel >= %{xfceversion}
BuildRequires:  libxml2-devel
BuildRequires:  Thunar-devel >= 1.8.0
BuildRequires:  intltool
BuildRequires:  gettext
Requires:       Thunar >= 1.8.0

%description
This plugin allows one to extract and create archive from inside the Thunar file manager.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%configure

%make_build

%install
%make_install

# remove la file
find %{buildroot} -type f -name "*.la" -exec rm -f {} ';'

%find_lang %{name}

%files -f %{name}.lang
%license COPYING
%doc AUTHORS ChangeLog README THANKS NEWS
%doc scripts/template.tap
%{_libdir}/thunarx-*/thunar-archive-plugin.so
%{_libexecdir}/thunar-archive-plugin/
%{_datadir}/icons/hicolor/*/*/*

%changelog
* Tue Jul 28 2020 Dillon Chen <dillon.chen@turbolinux.com.cn> - 0.4.0-1
- Init package
